org.opencv.ximgproc

## Class StructuredEdgeDetection

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.StructuredEdgeDetection

-     public class StructuredEdgeDetection
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StructuredEdgeDetection(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StructuredEdgeDetection` | `__fromPtr__(long addr)`
    `void` | `computeOrientation(Mat _src, Mat _dst)`
    `void` | `detectEdges(Mat _src, Mat _dst)`
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst)`
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r)`
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r, int s)`
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r, int s, float m)`
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r, int s, float m, boolean isParallel)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructuredEdgeDetection

          protected StructuredEdgeDetection(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static StructuredEdgeDetection __fromPtr__(long addr)

    - #### computeOrientation

          public void computeOrientation(Mat _src,
                                         Mat _dst)

    - #### detectEdges

          public void detectEdges(Mat _src,
                                  Mat _dst)

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r,
                               int s,
                               float m,
                               boolean isParallel)

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r,
                               int s,
                               float m)

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r,
                               int s)

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r)

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3